Get Transfer

GEThttps://bank.dattaremit.com/api/transfers/{transfer_guid}

Requires a bank-scoped key.

Retrieves a transfer.

Required scope: transfers:read

Path Params

transfer_guidstringrequired

Identifier for the transfer.

Responses

200

transfer found

401

Unauthorized - Authentication failed

403

Invalid scope

404

transfer not found

Request

curl https://api.dattaremit.com/api/transfers/{transfer_guid} \
  -H "Authorization: Bearer sk_test_YOUR_KEY"

Response

transfer found

{
  "guid": "string",
  "transfer_type": "string",
  "bank_guid": "string",
  "customer_guid": "string",
  "quote_guid": "string",
  "external_bank_account_guid": "string",
  "asset": "string",
  "side": "string",
  "state": "string",
  "failure_code": "string",
  "return_code": "string",
  "amount": 1,
  "estimated_amount": 1,
  "fee": 1,
  "fee_details": [
    {
      "type": "bank",
      "asset": "string",
      "amount": 1
    }
  ],
  "estimated_network_fee": 1,
  "network_fee": 1,
  "network_fee_asset": "string",
  "network_fee_liability_amount": 1,
  "network_fee_liability_amount_asset": "string",
  "txn_hash": "string",
  "identifiers": [
    {
      "type": "txn_hash",
      "value": "string"
    }
  ],
  "reference_transfer_guid": "string",
  "source_account": {
    "guid": "string",
    "type": "string",
    "bank_guid": "string",
    "customer_guid": "string"
  },
  "source_participants": [
    {
      "type": "string",
      "amount": 1,
      "guid": "string"
    }
  ],
  "destination_account": {
    "guid": "string",
    "type": "string",
    "bank_guid": "string",
    "customer_guid": "string"
  },
  "destination_participants": [
    {
      "type": "string",
      "amount": 1,
      "guid": "string"
    }
  ],
  "deposit_address_guid": "string",
  "created_at": "2026-07-20T16:27:51.438Z",
  "updated_at": "2026-07-20T16:27:51.438Z",
  "hold_details": {
    "applicable_types": [
      "string"
    ],
    "duration": 1,
    "started_at": "2026-07-20T16:27:51.438Z"
  },
  "transfer_details": {},
  "payment_rail": "string",
  "external_id": "string",
  "labels": [
    "string"
  ],
  "entries": [
    {
      "amount": 1,
      "fee": 1,
      "source_account": {
        "guid": "string",
        "type": "string",
        "bank_guid": "string",
        "customer_guid": "string"
      },
      "destination_account": {
        "guid": "string",
        "type": "string",
        "bank_guid": "string",
        "customer_guid": "string"
      }
    }
  ]
}